aboutsummaryrefslogtreecommitdiffstats
path: root/testing/esptool/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-06-17 22:04:26 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-06-17 22:07:19 +0200
commit30b81b24d41e489f6f55badb4389ee998fa562fd (patch)
tree16190d2fa041c5f5e750221e8e0d7b8bde8150b2 /testing/esptool/APKBUILD
parentacb3d9fc40fc0730d2ac1fa40af02a614c14a11e (diff)
downloadaports-30b81b24d41e489f6f55badb4389ee998fa562fd.tar.gz
aports-30b81b24d41e489f6f55badb4389ee998fa562fd.tar.bz2
aports-30b81b24d41e489f6f55badb4389ee998fa562fd.tar.xz
testing/epstool: new aport
Diffstat (limited to 'testing/esptool/APKBUILD')
-rw-r--r--testing/esptool/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/esptool/APKBUILD b/testing/esptool/APKBUILD
new file mode 100644
index 0000000000..fa3dceaa21
--- /dev/null
+++ b/testing/esptool/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer:
+pkgname=esptool
+pkgver=1.1
+pkgrel=0
+pkgdesc="ESP8266 ROM Bootloader utility"
+url="https://github.com/themadinventor/esptool"
+arch="all"
+license="GPLv2"
+depends="python py-serial"
+makedepends="python-dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/themadinventor/${pkgname}/archive/v${pkgver}.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+ cd "$builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python setup.py install --prefix=/usr \
+ --root="$pkgdir" || return 1
+}
+
+md5sums="9e0c14ced8182adf33808e5a80d7b88e esptool-1.1.tar.gz"
+sha256sums="c059fea707d1fb05ac3febf1dd6e5a74a8fbb42168bced15a079a228b292c30d esptool-1.1.tar.gz"
+sha512sums="869c073cdd2e58f93e3731de28582e57351e22d326cf88eb7f8014f399c2ed1c33ab94607eea60e0dd0f46527f878d69af61db2c9990f956c695e52dadf5cbe8 esptool-1.1.tar.gz"